## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-license-expression
Version:        30.4.4
Release:        %autorelease
Summary:        Library to parse, compare, simplify and normalize license expressions

# `irc-notify.py` in the tarball is licensed under GPL, but not re-distributed
License:        Apache-2.0
URL:            https://github.com/nexB/license-expression
Source:         %url/archive/v%{version}/license-expression-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(sphinx-rtd-theme)

%global common_description %{expand:
This module defines a mini language to parse, validate, simplify, normalize and
compare license expressions using a boolean logic engine.

This supports SPDX license expressions and also accepts other license naming
conventions and license identifiers aliases to resolve and normalize licenses.

Using boolean logic, license expressions can be tested for equality,
containment, equivalence and can be normalized or simplified.}

%description %{common_description}

%package -n python3-license-expression
Summary:        %{summary}

%description -n python3-license-expression %{common_description}

%package -n python-license-expression-doc
Summary:        Documentation for python-license-expression
# BSD-2-Clause: Sphinx javascript
# MIT: jquery
License:        Apache-2.0 AND BSD-2-Clause AND MIT
BuildArch:      noarch
Requires:       python3-license-expression = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       bundled(js-sphinx_javascript_frameworks_compat)
Provides:       bundled(js-doctools)
Provides:       bundled(js-jquery)
Provides:       bundled(js-language_data)
Provides:       bundled(js-searchtools)

%description -n python-license-expression-doc
%{common_description}

This package is providing the documentation for license-expression.

%prep
%autosetup -p1 -n license-expression-%{version}
sed -i 's|\(fallback_version = "\)[^"]*|\1%{version}|' pyproject.toml
sed -i 's|setuptools_scm\[toml\]|setuptools_scm|' pyproject.toml
sed -i 's|setuptools_scm\[toml\]|setuptools_scm|' setup.cfg
sed -i '/sphinx_reredirects/d' setup.cfg
sed -i '/sphinx_reredirects/d' docs/source/conf.py
sed -i '/sphinx_rtd_dark_mode/d' docs/source/conf.py
sed -i '/sphinx_copybutton/d' docs/source/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build-3 -b html docs/source html
# remove the sphinx-build-3 leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files license_expression

%check
%pytest

%files -n python3-license-expression -f %{pyproject_files}
%doc AUTHORS.rst CHANGELOG.rst CODE_OF_CONDUCT.rst README.rst

%files -n python-license-expression-doc
%doc html

%changelog
## START: Generated by rpmautospec
* Tue Jul 22 2025 Packit <hello@packit.dev> - 30.4.4-1
- Update to 30.4.4 upstream release
- Resolves: rhbz#2382605

* Wed Jun 25 2025 Packit <hello@packit.dev> - 30.4.3-1
- Update to 30.4.3 upstream release
- Resolves: rhbz#2374781

* Tue Jun 24 2025 Packit <hello@packit.dev> - 30.4.2-1
- Update to 30.4.2 upstream release
- Resolves: rhbz#2374672

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 30.4.1-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 30.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Lumir Balhar <lbalhar@redhat.com> - 30.4.1-1
- Update to 30.4.1 (rhbz#2337578)

* Sat Oct 26 2024 Packit <hello@packit.dev> - 30.4.0-1
- Update to 30.4.0 upstream release
- Resolves: rhbz#2321887

* Wed Aug 14 2024 Packit <hello@packit.dev> - 30.3.1-1
- Update to 30.3.1 upstream release
- Resolves: rhbz#2305000

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 30.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 30.3.0-2
- Rebuilt for Python 3.13

* Tue Mar 19 2024 Packit <hello@packit.dev> - 30.3.0-1
- [packit] 30.3.0 upstream release
- Resolves rhbz#2270328

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 30.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 30.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Miroslav Suchý <msuchy@redhat.com> - 30.2.0-2
- ignore new modules that are not in Fedora and not needed for runtime

* Sun Dec 03 2023 Packit <hello@packit.dev> - 30.2.0-1
- [packit] 30.2.0 upstream release
- Resolves rhbz#2210385

* Thu Nov 16 2023 Miroslav Suchý <msuchy@redhat.com> - 30.1.1-3
- remove issue_repository

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 30.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 30.1.0-2
- Rebuilt for Python 3.12

* Fri Feb 03 2023 Carmen Bianca BAKKER <carmenbianca@fedoraproject.org> - 30.1.0-1
- new version

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 30.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Carmen Bianca Bakker <carmenbianca@fedoraproject.org> - 30.0.0-1
- new version

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.0-9
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.0-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 31 2019 Carmen Bianca Bakker <carmenbianca@fedoraproject.org> - 1.0-1
- new version

* Mon Sep 02 2019 Carmen Bianca Bakker <carmenbianca@fedoraproject.org> - 0.999-1
- New package.

## END: Generated by rpmautospec
